set status [ SclFunction "EXIT GRAPHICS" {
  frm00108={
    {
      exit_mode="E"
    }
  }
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="samp1.str"
  mode="openInNewLayer"
}]

set status [ SclFunction "DRAW DESC" {
  frm00089={
    {
      range1=""
      range2=""
      range3=""
      ifld_num="d1"
      textalignment="<"
      position="All points"
      legend_location="no legend"
      layer_name="samp1.str"
    }
  }
}]

set status [ SclFunction "CLASSIFY STRINGS" {
  frm00900={
    {
      _action=display
      in_location="samp"
      in_id_range="1"
      out_location="samp_classified"
      use_descriptions="Y"
      cl_grps="1"
      str_range="30003"
      class_field="D1"
      classification="point"
      inp_meth="table"
      c_group=table { string_fd from_fd to_fd } {
        { "1" "0" "100" }
        { "2" "100" "300" }
        { "3" "300" "500" }
        { "4" "500" "9999" }
      }
    }
  }
}]

set status [ SclFunction "EXIT GRAPHICS" {} ]

set status [ SclFunction "RECALL ANY FILE" {
  file="samp_classified1.str"
  mode="openInNewLayer"
}]

set status [ SclFunction "CLEAR SCREEN" {} ]

set status [ SclFunction "DRAW MARKERS" {
  frm00089={
    {
      range1=""
      range2=""
      range3=""
      ifld_num="d1"
      textalignment="<"
      position="All points"
      legend_location="no legend"
      layer_name="samp_classified1.str"
    }
  }
}]

set status [ SclFunction "DRAW DESC" {
  frm00089={
    {
      range1=""
      range2=""
      range3=""
      ifld_num="d1"
      textalignment="<"
      position="All points"
      legend_location="no legend"
      layer_name="samp_classified1.str"
    }
  }
}]

set status [ SclFunction "PLAN" {} ]
 puts ""
 puts ""
 puts "End of macro 05e_classify_strings.tcl"
 puts ""
